mbed_host_tests.host_tests.echo.EchoTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.echo.EchoTest:

## Public Member Functions

| setup (self)
| result (self)
| teardown (self)

## Public Attributes

| echo_count

## Static Public Attributes

int | echo_count = 0
int | count = 0
list | uuid_sent = []
list | uuid_recv = []

## Protected Member Functions

| _callback_echo (self, key, value, timestamp)
| _callback_echo_count (self, key, value, timestamp)

## Protected Attributes

| _callback_echo
| _callback_echo_count

## Detailed Description

Definition at line 22 of file echo.py.

## Member Function Documentation

## _callback_echo()

mbed_host_tests.host_tests.echo.EchoTest._callback_echo | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 37 of file echo.py.

## _callback_echo_count()

mbed_host_tests.host_tests.echo.EchoTest._callback_echo_count | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 41 of file echo.py.

## result()

mbed_host_tests.host_tests.echo.EchoTest.result | ( |  | self | ) |

Definition at line 52 of file echo.py.

## setup()

mbed_host_tests.host_tests.echo.EchoTest.setup | ( |  | self | ) |

Definition at line 48 of file echo.py.

## teardown()

mbed_host_tests.host_tests.echo.EchoTest.teardown | ( |  | self | ) |

Definition at line 56 of file echo.py.

## Member Data Documentation

## _callback_echo

mbed_host_tests.host_tests.echo.EchoTest._callback_echo

protected

Definition at line 49 of file echo.py.

## _callback_echo_count

mbed_host_tests.host_tests.echo.EchoTest._callback_echo_count

protected

Definition at line 50 of file echo.py.

## count

int mbed_host_tests.host_tests.echo.EchoTest.count = 0

static

Definition at line 26 of file echo.py.

## echo_count [1/2]

int mbed_host_tests.host_tests.echo.EchoTest.echo_count = 0

static

Definition at line 25 of file echo.py.

## echo_count [2/2]

mbed_host_tests.host_tests.echo.EchoTest.echo_count

Definition at line 43 of file echo.py.

## uuid_recv

list mbed_host_tests.host_tests.echo.EchoTest.uuid_recv = []

static

Definition at line 28 of file echo.py.

## uuid_sent

list mbed_host_tests.host_tests.echo.EchoTest.uuid_sent = []

static

Definition at line 27 of file echo.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/echo.py